Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZPlainXMLOutput Class Reference
Inheritance diagram for eZPlainXMLOutput:

## Public Member Functions
& | outputText ()
Public Member Functions inherited from eZXMLOutputHandler
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute=null)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
& | viewTemplateName ()
| isValid ()
| viewTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
| prefetch ()
| getAttributeValueArray ( $tagName, $attributeName)
| outputTag ( $element, &$siblingParams, $parentParams=array())
| renderTag ( $element, $content, $vars)
| renderAll ( $element, $childrenOutput, $vars)
| callTagInitHandler ( $handlerName, $element, &$attributes, &$siblingParams, &$parentParams)
| callTagRenderHandler ( $handlerName, $element, $childrenOutput, $vars)

## Additional Inherited Members
Public Attributes inherited from eZXMLOutputHandler
| $TemplateUri
| $OutputTags = array()
| $TemplatesPath = 'design:content/datatype/view/ezxmltags/'
| $XMLData
| Contains the XML data as text. More...
| $Document
| $XMLSchema
| $AliasedType
| $AliasedHandler
| $Output = ''
| $Tpl
| $TemplateURI = ''
| $Res
| $AllowMultipleSpaces = false
| $AllowNumericEntities = false
| $ContentObjectAttribute
| $ObjectAttributeID
| $LinkArray = array()
| Contains the URL's for <link> tags hashed by ID. More...
| $ObjectArray = array()
| Contains the Objects hashed by ID. More...
| $NodeArray = array()
| Contains the Nodes hashed by ID. More...
| $NestingLevel = 0

## Detailed Description

Definition at line 11 of file ezplainxmloutput.php.

## Member Function Documentation

## ◆ outputText()

& eZPlainXMLOutput::outputText | ( |  | ) |

Returns the output text representation of the XML structure Default implementation uses default mechanism of rules and tag handlers to render tags.

Reimplemented from eZXMLOutputHandler.

Definition at line 13 of file ezplainxmloutput.php.

References eZXMLOutputHandler\xmlData().

The documentation for this class was generated from the following file:

- ezplainxmloutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.